@echo off
cls
echo.
echo Lade und erstelle EPG...
echo.

if exist "EPGFile\merged_epg.xml.gz" del "EPGFile\merged_epg.xml.gz" /s /q >NUL

wget http://rytecepg.ipservers.eu/epg_data/rytecIPTV.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecDE_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecAT_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecCH_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecDE_Common.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecDE_SportMovies.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecIT_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecIT_Sky.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecIT_SportMovies.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecPL_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecPL_Misc.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecPL_SportMovies.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_Basic.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_FTA.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_int.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_SkyLive.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_SkyDead.xz >NUL
wget http://rytecepg.ipservers.eu/epg_data/rytecUK_SportMovies.xz >NUL

xz.exe -d rytecIPTV.xz >NUL
xz.exe -d rytecDE_Basic.xz >NUL
xz.exe -d rytecAT_Basic.xz >NUL
xz.exe -d rytecCH_Basic.xz >NUL
xz.exe -d rytecDE_Common.xz >NUL
xz.exe -d rytecDE_SportMovies.xz >NUL
xz.exe -d rytecIT_Basic.xz >NUL
xz.exe -d rytecIT_Sky.xz >NUL
xz.exe -d rytecIT_SportMovies.xz >NUL
xz.exe -d rytecPL_Basic.xz >NUL
xz.exe -d rytecPL_Misc.xz >NUL
xz.exe -d rytecPL_SportMovies.xz >NUL
xz.exe -d rytecUK_Basic.xz >NUL
xz.exe -d rytecUK_FTA.xz >NUL
xz.exe -d rytecUK_int.xz >NUL
xz.exe -d rytecUK_SkyLive.xz >NUL
xz.exe -d rytecUK_SkyDead.xz >NUL
xz.exe -d rytecUK_SportMovies.xz >NUL

ren rytecIPTV rytecIPTV.xml
ren rytecDE_Basic rytecDE_Basic.xml
ren rytecAT_Basic rytecAT_Basic.xml
ren rytecCH_Basic rytecCH_Basic.xml
ren rytecDE_Common rytecDE_Common.xml
ren rytecDE_SportMovies rytecDE_SportMovies.xml
ren rytecIT_Basic rytecIT_Basic.xml
ren rytecIT_Sky rytecIT_Sky.xml
ren rytecIT_SportMovies rytecIT_SportMovies.xml
ren rytecPL_Basic rytecPL_Basic.xml
ren rytecPL_Misc rytecPL_Misc.xml
ren rytecPL_SportMovies rytecPL_SportMovies.xml
ren rytecUK_Basic rytecUK_Basic.xml
ren rytecUK_FTA rytecUK_FTA.xml
ren rytecUK_int rytecUK_int.xml
ren rytecUK_SkyLive rytecUK_SkyLive.xml
ren rytecUK_SkyDead rytecUK_SkyDead.xml
ren rytecUK_SportMovies rytecUK_SportMovies.xml

MergeXMLTV merge.ini epg.xml rytecIPTV.xml rytecDE_Basic.xml rytecAT_Basic.xml rytecCH_Basic.xml rytecDE_Common.xml rytecDE_SportMovies.xml rytecIT_Basic.xml rytecIT_Sky.xml rytecIT_SportMovies.xml rytecPL_Basic.xml rytecPL_Misc.xml rytecPL_SportMovies.xml rytecUK_Basic.xml rytecUK_FTA.xml rytecUK_int.xml rytecUK_SkyLive.xml rytecUK_SkyDead.xml rytecUK_SportMovies.xml >NUL

iconv -f iso-8859-1 -t utf-8 epg.xml > merged_epg.xml

if exist "rytec*.xz" del "rytec*.xz" /s /q >NUL
if exist "rytec*.xml" del "rytec*.xml" /s /q >NUL
if exist "epg.xml" del "epg.xml" /s /q >NUL
del merge.ini /s /q >NUL

gzip -f merged_epg.xml

move /Y "C:\KODI\EPG\merged_epg.xml.gz" "C:\KODI\EPG\EPGFile\"

echo Fertig. 

goto END

:END
ping 127.0.0.1 -n 6 > nul
exit